--- debathena-xcluster-10.0.0.orig/debian/control
+++ debathena-xcluster-10.0.0/debian/control
@@ -0,0 +1,15 @@
+Source: debathena-xcluster
+Section: debathena/net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf, libhesiod-dev, debathena-libxj-dev, libx11-dev, libxmu-dev
+Standards-Version: 3.7.2
+
+Package: debathena-xcluster
+Architecture: any
+Conflicts: debathena-xcluster-doc (<< 9.4)
+Replaces: debathena-xcluster-doc (<< 9.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
+Description: Utilities to display cluster usage status
+ The cview and xcluster utilities display MIT maps and Athena cluster 
+ locations and current cluster usage statistics.
--- debathena-xcluster-10.0.0.orig/debian/compat
+++ debathena-xcluster-10.0.0/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-xcluster-10.0.0.orig/debian/debathena-xcluster.postinst
+++ debathena-xcluster-10.0.0/debian/debathena-xcluster.postinst
@@ -0,0 +1,46 @@
+#!/bin/sh
+# postinst script for debathena-xcluster
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	if ! grep -q '^cview[[:space:]]' /etc/services; then
+	    cat <<EOF >>/etc/services
+cview		3704/tcp			# Cluster monitoring
+EOF
+	fi
+	;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+	;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- debathena-xcluster-10.0.0.orig/debian/control.in
+++ debathena-xcluster-10.0.0/debian/control.in
@@ -0,0 +1,15 @@
+Source: debathena-xcluster
+Section: debathena/net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: @cdbs@, libhesiod-dev, debathena-libxj-dev, libx11-dev, libxmu-dev
+Standards-Version: 3.7.2
+
+Package: debathena-xcluster
+Architecture: any
+Conflicts: debathena-xcluster-doc (<< 9.4)
+Replaces: debathena-xcluster-doc (<< 9.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
+Description: Utilities to display cluster usage status
+ The cview and xcluster utilities display MIT maps and Athena cluster 
+ locations and current cluster usage statistics.
--- debathena-xcluster-10.0.0.orig/debian/changelog
+++ debathena-xcluster-10.0.0/debian/changelog
@@ -0,0 +1,36 @@
+debathena-xcluster (10.0.0-0debathena1) unstable; urgency=low
+
+  * Merged quilt patches into mainline Athena tree
+
+ -- Shreevatsa R <vatsa@mit.edu>  Sun,  6 Apr 2008 16:23:30 -0400
+
+debathena-xcluster (9.4.0-0debathena5) unstable; urgency=low
+
+  * Fix conflicts/replaces.
+  * Rebuild against new libXj.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 06 Aug 2007 04:12:31 -0400
+
+debathena-xcluster (9.4.0-0debathena4) unstable; urgency=low
+
+  * Section: debathena/net.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 06:34:09 -0400
+
+debathena-xcluster (9.4.0-0debathena3) unstable; urgency=low
+
+  * Depends: netbase.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 26 Jun 2007 16:35:01 -0400
+
+debathena-xcluster (9.4.0-0debathena2) unstable; urgency=low
+
+  * Add cview to /etc/services.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sat, 28 Apr 2007 20:42:31 -0400
+
+debathena-xcluster (9.4.0-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 30 Jan 2007 03:50:04 -0500
--- debathena-xcluster-10.0.0.orig/debian/copyright
+++ debathena-xcluster-10.0.0/debian/copyright
@@ -0,0 +1,20 @@
+The Athena source code was obtained from the Athena CVS repository at
+/afs/dev.mit.edu/source, and is licensed as follows:
+
+  Copyright 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+This Debian package was created as part of the Debian-Athena Project
+<http://web.mit.edu/debathena/www/> of the MIT Student Information
+Processing Board, and is released to the public domain.
--- debathena-xcluster-10.0.0.orig/debian/rules
+++ debathena-xcluster-10.0.0/debian/rules
@@ -0,0 +1,11 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
+DEB_AUTO_UPDATE_AUTOCONF = 1
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS += --with-hesiod
+
+clean::
+	rm -f configure
